<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@600D254=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Time (Question Mode)">
    <script state="run">
      <action>maincpu.pb@6003315=01</action>
      <action>maincpu.pw@6003316=869F</action>
    </script>
  </cheat>

  <cheat desc="Finish this Stage Now! (Question Mode)">
    <script state="on">
      <action>maincpu.pw@6003C72=FFFF</action>
    </script>
  </cheat>

  <cheat desc="Select Stage (Question Mode)">
    <parameter min="0" max="24" step="1"/>
    <script state="run">
      <action>maincpu.pb@600C74F=(param)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time (Master Mode)">
    <script state="run">
      <action>maincpu.pw@6003D0E=0A00</action>
    </script>
  </cheat>

  <cheat desc="Finish this Stage Now! (Master Mode)">
    <script state="run">
      <action>maincpu.pb@6003C73=63</action>
    </script>
  </cheat>

  <cheat desc="Go to Level 100 Now! (Master Mode)">
    <script state="on">
      <action>maincpu.pb@600C74F=63</action>
    </script>
  </cheat>

  <cheat desc="Always have No Down">
    <script state="run">
      <action>maincpu.pb@6003C8B=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Chain">
    <script state="run">
      <action>maincpu.pb@6003C7B=62</action>
    </script>
  </cheat>

  <cheat desc="Always Next Easy Piece">
    <script state="run">
      <action>maincpu.pw@6003318=FF09</action>
      <action>maincpu.pw@600331A=0909</action>
      <action>maincpu.pw@600331C=0909</action>
      <action>maincpu.pw@600331E=0909</action>
    </script>
  </cheat>

  <cheat desc="Question Mode Clear! Now!">
    <script state="on">
      <action>maincpu.pb@6003C73=D8</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
